PgBeam Docs

Create a support case

POST
/v1/organizations/{org_id}/support/cases

Creates a new support case with an initial message.

Authorization

AuthorizationBearer <token>

JWT issued by Better Auth. Verified via JWKS.

In: header

Path Parameters

org_id*string

Unique organization identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for creating a support case.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/organizations/org_abc123/support/cases" \  -H "Content-Type: application/json" \  -d '{    "org_id": "string",    "title": "string",    "body": "string"  }'
{  "id": "sc_01h455vb4pex5vsknk084sn02q",  "case_number": 0,  "org_id": "string",  "user_id": "string",  "title": "string",  "severity": 1,  "status": "open",  "slack_channel_id": "string",  "slack_thread_ts": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "closed_at": "2019-08-24T14:15:22Z",  "message_count": 0}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}